{
    // Small scalar for skipping zero division
    scalar tolerance(1e-5);

    // Defining passability field
    volScalarField passability
    (
        IOobject
        (
            "passability",
            runTime.timeName(),
            mesh
        ),
        mesh,
        dimensionedScalar("passability",dimensionSet(0,1,0,0,0,0,0), 0.0)
    );

    if(porousModel == "smoothSphere")
    {
        // Mean particle diameter
        dimensionedScalar dp("dp",dimensionSet(0,1,0,0,0,0,0), solidPropertiesDict.lookup("dp"));

        // Intrinsic permeability
        permeability = Foam::pow(dp, 2.0) * Foam::pow(voidFraction, 3.0) / (150.0 * Foam::pow((1.0-voidFraction+tolerance), 2.0));

        // Passability
        passability = dp * Foam::pow(voidFraction, 3.0) / (1.75 * (1.0-voidFraction+tolerance));
    }

    // Resistance coefficent
    resistanceCoef = thermo.mu() * voidFraction / permeability + rho * Foam::pow(voidFraction, 2.0) * mag(U) / passability;
}