{
    // Updating porous flux
    surfaceScalarField voidFractionPhi = fvc::interpolate(voidFraction) * phi;

    fvScalarMatrix rhoEqn
    (
        fvm::ddt(voidFraction, rho)
      + fvc::div(voidFractionPhi)
      // Compressibity correction
      - fvm::Sp(fvc::ddt(voidFraction), rho)
      ==
        fvOptions(voidFraction, rho)
    );

    fvOptions.constrain(rhoEqn);

    solve
    (
        rhoEqn, 
        mesh.solver("rho")
    ); 

    fvOptions.correct(rho);
}